=== debian/changelog ===
libahp-xc (1.3.3-2) unstable; urgency=medium

  * source upload
  * remove symbol files temporarily (Closes: #1029558)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 26 Jan 2023 18:03:02 +0100

libahp-xc (1.3.3-1) unstable; urgency=medium

  * Initial Debian release

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 09 Jan 2023 21:03:02 +0100
