=== debian/control ===
Source: libahp-xc
Section: misc
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13),
    cmake,
    libusb-dev,
    libusb-1.0-0-dev,
    libftdi-dev,
    libdfu-dev,
    liburjtag-dev
Standards-Version: 4.6.2
Homepage: http://iliaplatone.github.io/libahp-xc/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libahp-xc
Vcs-Git: https://salsa.debian.org/debian-astro-team/libahp-xc.git

Package: libahp-xc1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: XC Correlators SDK - library
 This library is the official driver for the AHP XC Crosscorrelators.
 .
 The AHP XC correlators do cross-correlation and auto-correlation counting
 from quantum detectors, ranging from radio to photon counters to
 geiger-mode detectors or noise-scattering sensors. The XC series offer
 a scientific grade solution for laboratory testing and measurement in
 quantum resoluting detection environments.
 .
 This is the library package.

Package: libahp-xc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libahp-xc1 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: XC Correlators SDK - development
 This library is the official driver for the AHP XC Crosscorrelators.
 .
 The AHP XC correlators do cross-correlation and auto-correlation counting
 from quantum detectors, ranging from radio to photon counters to
 geiger-mode detectors or noise-scattering sensors. The XC series offer
 a scientific grade solution for laboratory testing and measurement in
 quantum resoluting detection environments.
 .
 This is the package for development.
