=== debian/changelog ===
libahp-xc (1.3.6-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 24 Jun 2023 00:41:36 +0200

libahp-xc (1.3.5-1) unstable; urgency=medium

  * New upstream release
  * debian/control: new hompage
  * deboan/control: set maintainer to debian-astro-team
  * also install udev rules
  * add autopkgtest

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 08 Jun 2023 19:51:24 +0000
