=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libahp-xc
 Section: misc
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13),
     cmake,
     libusb-dev,
@@ -10,7 +11,7 @@
     libdfu-dev,
     liburjtag-dev
 Standards-Version: 4.6.2
-Homepage: http://iliaplatone.github.io/libahp-xc/
+Homepage: https://www.iliaplatone.com/xc
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/libahp-xc
 Vcs-Git: https://salsa.debian.org/debian-astro-team/libahp-xc.git
