## libahp-xc 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,8 @@
 
 set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
 set(AHP_XC_VERSION_MAJOR 1)
-set(AHP_XC_VERSION_MINOR 3)
-set(AHP_XC_VERSION_RELEASE 6)
+set(AHP_XC_VERSION_MINOR 4)
+set(AHP_XC_VERSION_RELEASE 1)
 set(AHPXC_VERSION "${AHP_XC_VERSION_MAJOR}.${AHP_XC_VERSION_MINOR}.${AHP_XC_VERSION_RELEASE}")
 set(AHP_XC_VERSION 0x${AHP_XC_VERSION_MAJOR}${AHP_XC_VERSION_MINOR}${AHP_XC_VERSION_RELEASE})
 set(AHPXC_SOVERSION ${AHP_XC_VERSION_MAJOR})
@@ -27,10 +27,6 @@
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 include_directories(${CMAKE_INCLUDE_PATH})
-include_directories(${URJTAG_INCLUDE_DIR})
-include_directories(${USB_INCLUDE_DIR})
-include_directories(${USB1_INCLUDE_DIR})
-include_directories(${DFU_INCLUDE_DIR})
 link_directories(${CMAKE_LIBRARY_PATH})
 
 execute_process (COMMAND doxygen ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
@@ -44,7 +40,7 @@
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/99-libahp-xc.rules DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/udev/rules.d)
 endif(WIN32)
 
-target_link_libraries(ahp_xc ${URJTAG_LIBRARIES} ${DFU_LIBRARIES} ${USB_LIBRARY} ${FTDI_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${M_LIB})
+target_link_libraries(ahp_xc ${CMAKE_THREAD_LIBS_INIT} ${M_LIB})
 
 install(TARGETS ahp_xc LIBRARY DESTINATION ${LIB_INSTALL_DIR})
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ahp_xc.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/ahp)
