=== debian/changelog ===
libahp-xc (1.4.1-1ubuntu1) noble; urgency=medium

  * Rename libahp-xc1 package as although it is not affected by the
    time_t transition to 64-bits, it is affected by the LFS migration
    which is implied by the time_t changes.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 19 Apr 2024 12:07:44 +1200

libahp-xc (1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 24 Feb 2024 01:58:46 +0100

libahp-xc (1.3.7-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 02 Nov 2023 00:47:20 +0100
