=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libahp-xc
 Section: misc
 Priority: optional
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13),
     cmake,
@@ -16,7 +17,10 @@
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/libahp-xc
 Vcs-Git: https://salsa.debian.org/debian-astro-team/libahp-xc.git
 
-Package: libahp-xc1
+Package: libahp-xc1t64
+Provides: ${t64:Provides}
+Replaces: libahp-xc1
+Breaks: libahp-xc1 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -38,7 +42,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-	, libahp-xc1 (= ${binary:Version})
+	, libahp-xc1t64 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: XC Correlators SDK - development
  This library is the official driver for the AHP XC Crosscorrelators.
