## libahp-xc 1.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
 set(AHP_XC_VERSION_MAJOR 1)
 set(AHP_XC_VERSION_MINOR 4)
-set(AHP_XC_VERSION_RELEASE 1)
+set(AHP_XC_VERSION_RELEASE 4)
 set(AHPXC_VERSION "${AHP_XC_VERSION_MAJOR}.${AHP_XC_VERSION_MINOR}.${AHP_XC_VERSION_RELEASE}")
 set(AHP_XC_VERSION 0x${AHP_XC_VERSION_MAJOR}${AHP_XC_VERSION_MINOR}${AHP_XC_VERSION_RELEASE})
 set(AHPXC_SOVERSION ${AHP_XC_VERSION_MAJOR})
