=== debian/changelog ===
libahp-xc (1.4.4-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113108)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:42:36 +0200

libahp-xc (1.4.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 15 Sep 2024 23:51:44 +0200

libahp-xc (1.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 May 2024 18:04:18 +0200
