=== debian/changelog ===
libahp-xc (1.4.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: remove dependency on libftdi-dev (Closes: #1122882)
    Thanks a lot to Aurelien Jarno for the hint
  * remove cmake4.patch (applied upstream)
  * libahp-xc-dev.install: udev rules file no longer provided
  * no soname change, but also no rdeps in Debian

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 Jan 2026 13:20:20 +0100
