=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
     cmake,
     libusb-dev,
     libusb-1.0-0-dev,
-    libftdi-dev,
     libdfu-dev,
     liburjtag-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://www.iliaplatone.com/xc
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/libahp-xc
